<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">

<f:layout name="General"/>
<!--
	=====================
		Templates/News/List.html
-->

<f:section name="content">
	<!--TYPO3SEARCH_end-->

    <f:spaceless>
        <f:if condition="{news}">
            <f:then>

                <f:switch expression="{settings.templateLayout}">
                    <f:case value="1"><f:render section="TeaserSlider" arguments="{_all}"/></f:case>
                    <f:case value="2"><f:render section="TeaserSlider" arguments="{_all}"/></f:case>
                    <f:case value="4"><f:render section="BlogList" arguments="{_all}"/></f:case>
                    <f:case value="5"><f:render section="BlogTeaser" arguments="{_all}"/></f:case>
                    <f:defaultCase>
                        <div class="teaser__wrapper news__container{f:if(condition: '{settings.templateLayout} == 2', then:' news__container--grey bg bg--grey')}">
                            <div class="news-list-view teaser__list" id="news-container-list-{contentObjectData.uid}">
                                <f:if condition="{settings.hidePagination}">
                                    <f:then>
                                        <f:for each="{news}" as="newsItem" iteration="iterator">
                                            <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                                        </f:for>
                                    </f:then>
                                    <f:else>
                                        <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                                            <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                                        </f:for>
                                        <f:if condition="{settings.list.paginate.insertBelow}">
                                            <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                                        </f:if>
                                    </f:else>
                                </f:if>
                            </div>
                        </div>
                    </f:defaultCase>
                </f:switch>

            </f:then>
            <f:else>
                <div class="no-news-found"><f:translate key="list_nonewsfound" /></div>
            </f:else>
        </f:if>
    </f:spaceless>

    <f:section name="slider">
        <div class="swiper swiper__news news__swiper" role="region" aria-label="{f:translate(key: 'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:teaser.carousel')}" aria-description="{f:translate(key: 'LLL:EXT:plus_drk_base/Resources/Private/Language/locallang.xlf:teaser.description')}" data-swiper-id="{contentObjectData.uid}">
            <p class="news__announcements" style="display: none;" aria-live="polite"></p>
            <div class="swiper-wrapper">
                <f:for each="{news}" as="newsItem" iteration="iterator">
                    <div class="swiper-slide">
                        <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                    </div>
                </f:for>
            </div>
        </div>
    </f:section>
	<!--TYPO3SEARCH_begin-->
</f:section>


<f:comment><!-- templateLayout 1 + 2 --></f:comment>
<f:section name="TeaserSlider">
    <div class="teaser__wrapper news__container{f:if(condition: '{settings.templateLayout} == 2', then:' news__container--grey bg bg--grey')}" id="news-container-grid-{contentObjectData.uid}">
        <div class="news-list-view teaser__slider">
            <f:if condition="{settings.hidePagination}">
                <f:then>
                    <f:render section="slider" arguments="{_all}"/>
                </f:then>
                <f:else>
                    <f:render section="slider" arguments="{_all}"/>
                    <f:if condition="{settings.list.paginate.insertBelow}">
                        <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                    </f:if>
                </f:else>
            </f:if>
        </div>
        <div class="news-list-view teaser__grid">
            <f:if condition="{settings.hidePagination}">
                <f:then>
                    <div class="teaser__block">
                        <f:for each="{news}" as="newsItem" iteration="iterator">
                            <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                        </f:for>
                    </div>
                </f:then>
                <f:else>
                    <div class="teaser__block">
                        <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                            <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                        </f:for>
                    </div>
                    <f:if condition="{settings.list.paginate.insertBelow}">
                        <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>

<f:comment><!-- templateLayout 4 --></f:comment>
<f:section name="BlogList">
    <div class="teaser__wrapper news__container" id="news-container-grid-{contentObjectData.uid}">
        <div class="news-list-view blog__list">
            <f:if condition="{settings.hidePagination}">
                <f:then>
                    <f:for each="{news}" as="newsItem" iteration="iterator">
                        <f:render partial="List/ItemBlog" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                    </f:for>
                </f:then>
                <f:else>
                    <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                        <f:render partial="List/ItemBlog" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                    </f:for>
                    <f:comment><!-- Pagination--></f:comment>
                    <f:if condition="{settings.list.paginate.insertBelow}">
                        <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>

<f:comment><!-- templateLayout 5 --></f:comment>
<f:section name="BlogTeaser">
    <div class="teaser__wrapper news__container" id="news-container-grid-{contentObjectData.uid}">
        <div class="news-list-view blog__teaser teaser__grid">
            <div class="teaser__block">
                <f:for each="{news}" as="newsItem" iteration="iterator">
                    <f:render partial="List/ItemBlog" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                </f:for>
            </div>
        </div>
    </div>
</f:section>
</html>
